// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: telemetry/WindTurbineGearbox.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace WindTurbine {

  /// <summary>Holder for reflection information generated from telemetry/WindTurbineGearbox.proto</summary>
  public static partial class WindTurbineGearboxReflection {

    #region Descriptor
    /// <summary>File descriptor for telemetry/WindTurbineGearbox.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static WindTurbineGearboxReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "CiJ0ZWxlbWV0cnkvV2luZFR1cmJpbmVHZWFyYm94LnByb3RvEgx3aW5kX3R1",
            "cmJpbmUaH2dvb2dsZS9wcm90b2J1Zi90aW1lc3RhbXAucHJvdG8ipgMKEldp",
            "bmRUdXJiaW5lR2VhcmJveBIZCgxvaWxfcHJlc3N1cmUYASABKAlIAIgBARIc",
            "Cg9vaWxfdGVtcGVyYXR1cmUYAiABKAlIAYgBARIWCglvaWxfbGV2ZWwYAyAB",
            "KAlIAogBARIWCgl2aWJyYXRpb24YBCABKAlIA4gBARIeChFzaGFmdF90ZW1w",
            "ZXJhdHVyZRgFIAEoCUgEiAEBEiQKF3NoYWZ0X2JyZWFrX3RlbXBlcmF0dXJl",
            "GAYgASgJSAWIAQESJQoYaHlkcmF1bGljX3BpdGNoX3ByZXNzdXJlGAcgASgJ",
            "SAaIAQESGQoMZ3JlYXNlX2xldmVsGAggASgJSAeIAQFCDwoNX29pbF9wcmVz",
            "c3VyZUISChBfb2lsX3RlbXBlcmF0dXJlQgwKCl9vaWxfbGV2ZWxCDAoKX3Zp",
            "YnJhdGlvbkIUChJfc2hhZnRfdGVtcGVyYXR1cmVCGgoYX3NoYWZ0X2JyZWFr",
            "X3RlbXBlcmF0dXJlQhsKGV9oeWRyYXVsaWNfcGl0Y2hfcHJlc3N1cmVCDwoN",
            "X2dyZWFzZV9sZXZlbEJ+Chtjb20uY29kaWJseS5tb2RlbC50ZWxlbWV0cnlC",
            "F1dpbmRUdXJiaW5lR2VhcmJveFByb3RvygIbRG9tYWluTW9kZWxcUHJvdG9c",
            "VGVsZW1ldHJ54gInRG9tYWluTW9kZWxcUHJvdG9cVGVsZW1ldHJ5XEdQQk1l",
            "dGFkYXRhYgZwcm90bzM="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Google.Protobuf.WellKnownTypes.TimestampReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::WindTurbine.WindTurbineGearbox), global::WindTurbine.WindTurbineGearbox.Parser, new[]{ "OilPressure", "OilTemperature", "OilLevel", "Vibration", "ShaftTemperature", "ShaftBreakTemperature", "HydraulicPitchPressure", "GreaseLevel" }, new[]{ "OilPressure", "OilTemperature", "OilLevel", "Vibration", "ShaftTemperature", "ShaftBreakTemperature", "HydraulicPitchPressure", "GreaseLevel" }, null, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class WindTurbineGearbox : pb::IMessage<WindTurbineGearbox>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<WindTurbineGearbox> _parser = new pb::MessageParser<WindTurbineGearbox>(() => new WindTurbineGearbox());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<WindTurbineGearbox> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::WindTurbine.WindTurbineGearboxReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public WindTurbineGearbox() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public WindTurbineGearbox(WindTurbineGearbox other) : this() {
      oilPressure_ = other.oilPressure_;
      oilTemperature_ = other.oilTemperature_;
      oilLevel_ = other.oilLevel_;
      vibration_ = other.vibration_;
      shaftTemperature_ = other.shaftTemperature_;
      shaftBreakTemperature_ = other.shaftBreakTemperature_;
      hydraulicPitchPressure_ = other.hydraulicPitchPressure_;
      greaseLevel_ = other.greaseLevel_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public WindTurbineGearbox Clone() {
      return new WindTurbineGearbox(this);
    }

    /// <summary>Field number for the "oil_pressure" field.</summary>
    public const int OilPressureFieldNumber = 1;
    private string oilPressure_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string OilPressure {
      get { return oilPressure_ ?? ""; }
      set {
        oilPressure_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "oil_pressure" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasOilPressure {
      get { return oilPressure_ != null; }
    }
    /// <summary>Clears the value of the "oil_pressure" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearOilPressure() {
      oilPressure_ = null;
    }

    /// <summary>Field number for the "oil_temperature" field.</summary>
    public const int OilTemperatureFieldNumber = 2;
    private string oilTemperature_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string OilTemperature {
      get { return oilTemperature_ ?? ""; }
      set {
        oilTemperature_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "oil_temperature" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasOilTemperature {
      get { return oilTemperature_ != null; }
    }
    /// <summary>Clears the value of the "oil_temperature" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearOilTemperature() {
      oilTemperature_ = null;
    }

    /// <summary>Field number for the "oil_level" field.</summary>
    public const int OilLevelFieldNumber = 3;
    private string oilLevel_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string OilLevel {
      get { return oilLevel_ ?? ""; }
      set {
        oilLevel_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "oil_level" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasOilLevel {
      get { return oilLevel_ != null; }
    }
    /// <summary>Clears the value of the "oil_level" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearOilLevel() {
      oilLevel_ = null;
    }

    /// <summary>Field number for the "vibration" field.</summary>
    public const int VibrationFieldNumber = 4;
    private string vibration_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Vibration {
      get { return vibration_ ?? ""; }
      set {
        vibration_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "vibration" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasVibration {
      get { return vibration_ != null; }
    }
    /// <summary>Clears the value of the "vibration" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearVibration() {
      vibration_ = null;
    }

    /// <summary>Field number for the "shaft_temperature" field.</summary>
    public const int ShaftTemperatureFieldNumber = 5;
    private string shaftTemperature_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string ShaftTemperature {
      get { return shaftTemperature_ ?? ""; }
      set {
        shaftTemperature_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "shaft_temperature" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasShaftTemperature {
      get { return shaftTemperature_ != null; }
    }
    /// <summary>Clears the value of the "shaft_temperature" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearShaftTemperature() {
      shaftTemperature_ = null;
    }

    /// <summary>Field number for the "shaft_break_temperature" field.</summary>
    public const int ShaftBreakTemperatureFieldNumber = 6;
    private string shaftBreakTemperature_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string ShaftBreakTemperature {
      get { return shaftBreakTemperature_ ?? ""; }
      set {
        shaftBreakTemperature_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "shaft_break_temperature" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasShaftBreakTemperature {
      get { return shaftBreakTemperature_ != null; }
    }
    /// <summary>Clears the value of the "shaft_break_temperature" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearShaftBreakTemperature() {
      shaftBreakTemperature_ = null;
    }

    /// <summary>Field number for the "hydraulic_pitch_pressure" field.</summary>
    public const int HydraulicPitchPressureFieldNumber = 7;
    private string hydraulicPitchPressure_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string HydraulicPitchPressure {
      get { return hydraulicPitchPressure_ ?? ""; }
      set {
        hydraulicPitchPressure_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "hydraulic_pitch_pressure" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasHydraulicPitchPressure {
      get { return hydraulicPitchPressure_ != null; }
    }
    /// <summary>Clears the value of the "hydraulic_pitch_pressure" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearHydraulicPitchPressure() {
      hydraulicPitchPressure_ = null;
    }

    /// <summary>Field number for the "grease_level" field.</summary>
    public const int GreaseLevelFieldNumber = 8;
    private string greaseLevel_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string GreaseLevel {
      get { return greaseLevel_ ?? ""; }
      set {
        greaseLevel_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "grease_level" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasGreaseLevel {
      get { return greaseLevel_ != null; }
    }
    /// <summary>Clears the value of the "grease_level" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearGreaseLevel() {
      greaseLevel_ = null;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as WindTurbineGearbox);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(WindTurbineGearbox other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (OilPressure != other.OilPressure) return false;
      if (OilTemperature != other.OilTemperature) return false;
      if (OilLevel != other.OilLevel) return false;
      if (Vibration != other.Vibration) return false;
      if (ShaftTemperature != other.ShaftTemperature) return false;
      if (ShaftBreakTemperature != other.ShaftBreakTemperature) return false;
      if (HydraulicPitchPressure != other.HydraulicPitchPressure) return false;
      if (GreaseLevel != other.GreaseLevel) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (HasOilPressure) hash ^= OilPressure.GetHashCode();
      if (HasOilTemperature) hash ^= OilTemperature.GetHashCode();
      if (HasOilLevel) hash ^= OilLevel.GetHashCode();
      if (HasVibration) hash ^= Vibration.GetHashCode();
      if (HasShaftTemperature) hash ^= ShaftTemperature.GetHashCode();
      if (HasShaftBreakTemperature) hash ^= ShaftBreakTemperature.GetHashCode();
      if (HasHydraulicPitchPressure) hash ^= HydraulicPitchPressure.GetHashCode();
      if (HasGreaseLevel) hash ^= GreaseLevel.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (HasOilPressure) {
        output.WriteRawTag(10);
        output.WriteString(OilPressure);
      }
      if (HasOilTemperature) {
        output.WriteRawTag(18);
        output.WriteString(OilTemperature);
      }
      if (HasOilLevel) {
        output.WriteRawTag(26);
        output.WriteString(OilLevel);
      }
      if (HasVibration) {
        output.WriteRawTag(34);
        output.WriteString(Vibration);
      }
      if (HasShaftTemperature) {
        output.WriteRawTag(42);
        output.WriteString(ShaftTemperature);
      }
      if (HasShaftBreakTemperature) {
        output.WriteRawTag(50);
        output.WriteString(ShaftBreakTemperature);
      }
      if (HasHydraulicPitchPressure) {
        output.WriteRawTag(58);
        output.WriteString(HydraulicPitchPressure);
      }
      if (HasGreaseLevel) {
        output.WriteRawTag(66);
        output.WriteString(GreaseLevel);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (HasOilPressure) {
        output.WriteRawTag(10);
        output.WriteString(OilPressure);
      }
      if (HasOilTemperature) {
        output.WriteRawTag(18);
        output.WriteString(OilTemperature);
      }
      if (HasOilLevel) {
        output.WriteRawTag(26);
        output.WriteString(OilLevel);
      }
      if (HasVibration) {
        output.WriteRawTag(34);
        output.WriteString(Vibration);
      }
      if (HasShaftTemperature) {
        output.WriteRawTag(42);
        output.WriteString(ShaftTemperature);
      }
      if (HasShaftBreakTemperature) {
        output.WriteRawTag(50);
        output.WriteString(ShaftBreakTemperature);
      }
      if (HasHydraulicPitchPressure) {
        output.WriteRawTag(58);
        output.WriteString(HydraulicPitchPressure);
      }
      if (HasGreaseLevel) {
        output.WriteRawTag(66);
        output.WriteString(GreaseLevel);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (HasOilPressure) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(OilPressure);
      }
      if (HasOilTemperature) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(OilTemperature);
      }
      if (HasOilLevel) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(OilLevel);
      }
      if (HasVibration) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Vibration);
      }
      if (HasShaftTemperature) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(ShaftTemperature);
      }
      if (HasShaftBreakTemperature) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(ShaftBreakTemperature);
      }
      if (HasHydraulicPitchPressure) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(HydraulicPitchPressure);
      }
      if (HasGreaseLevel) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(GreaseLevel);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(WindTurbineGearbox other) {
      if (other == null) {
        return;
      }
      if (other.HasOilPressure) {
        OilPressure = other.OilPressure;
      }
      if (other.HasOilTemperature) {
        OilTemperature = other.OilTemperature;
      }
      if (other.HasOilLevel) {
        OilLevel = other.OilLevel;
      }
      if (other.HasVibration) {
        Vibration = other.Vibration;
      }
      if (other.HasShaftTemperature) {
        ShaftTemperature = other.ShaftTemperature;
      }
      if (other.HasShaftBreakTemperature) {
        ShaftBreakTemperature = other.ShaftBreakTemperature;
      }
      if (other.HasHydraulicPitchPressure) {
        HydraulicPitchPressure = other.HydraulicPitchPressure;
      }
      if (other.HasGreaseLevel) {
        GreaseLevel = other.GreaseLevel;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            OilPressure = input.ReadString();
            break;
          }
          case 18: {
            OilTemperature = input.ReadString();
            break;
          }
          case 26: {
            OilLevel = input.ReadString();
            break;
          }
          case 34: {
            Vibration = input.ReadString();
            break;
          }
          case 42: {
            ShaftTemperature = input.ReadString();
            break;
          }
          case 50: {
            ShaftBreakTemperature = input.ReadString();
            break;
          }
          case 58: {
            HydraulicPitchPressure = input.ReadString();
            break;
          }
          case 66: {
            GreaseLevel = input.ReadString();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            OilPressure = input.ReadString();
            break;
          }
          case 18: {
            OilTemperature = input.ReadString();
            break;
          }
          case 26: {
            OilLevel = input.ReadString();
            break;
          }
          case 34: {
            Vibration = input.ReadString();
            break;
          }
          case 42: {
            ShaftTemperature = input.ReadString();
            break;
          }
          case 50: {
            ShaftBreakTemperature = input.ReadString();
            break;
          }
          case 58: {
            HydraulicPitchPressure = input.ReadString();
            break;
          }
          case 66: {
            GreaseLevel = input.ReadString();
            break;
          }
        }
      }
    }
    #endif

  }

  #endregion

}

#endregion Designer generated code
